Get cluster action
Get a single cluster isolation action by ID.
curl -X GET "https://api.rad.security/accounts/example_string/clusters/example_string/actions/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.rad.security/accounts/example_string/clusters/example_string/actions/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.rad.security/accounts/example_string/clusters/example_string/actions/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.rad.security/accounts/example_string/clusters/example_string/actions/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.rad.security/accounts/example_string/clusters/example_string/actions/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"id": "example_string",
"cluster_id": "example_string",
"account_id": "example_string",
"action_type": "terminate_pod",
"status": "Pending",
"target_pod_name": "John Doe",
"target_namespace": "John Doe",
"parameters": {},
"result": "example_string",
"created_by": "example_string",
"created_at": "example_string",
"updated_at": "example_string",
"deleted_at": "example_string"
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/clusters/{cluster_id}/actions/{action_id}GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredBearer token - just enter the token, "Bearer" prefix will be added automatically
path
account_idstring
RequiredAccount ID
path
cluster_idstring
RequiredCluster ID
path
action_idstring
RequiredAction ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Authentication token required.
Path Parameters
account_idstring
RequiredAccount ID
cluster_idstring
RequiredCluster ID
action_idstring
RequiredAction ID
Responses
idstring
Action ID, prefixed with ca-
cluster_idstring
account_idstring
action_typestring
Allowed values:
terminate_poddisable_outboundlabel_podstatusstring
Execution status of the action
Allowed values:
PendingExecutedFailedtarget_pod_namestring
target_namespacestring
parametersobject
Action parameters. labels for label_pod, quarantine_id for disable_outbound.
resultstring
Message reported by rad-sync after execution; the Kubernetes error when the action failed.
created_bystring
Identity that created the action
created_atstring
updated_atstring
deleted_atstring
Was this page helpful?